Subject: Re: bug#36083: 26.2; Bell every 10 seconds with message "<noname> is undefined"

From: Eli Zaretskii <[email-masked]>
Date: Thu, 06 Jun 2019 16:30:56 +0300

> From: Rick McCarty <[email-masked]>
> CC: "[email-masked]" <[email-masked]>
> Date: Thu, 6 Jun 2019 05:28:35 +0000
> Thanks! You were correct. I found I also had to disable the modifier key combinations as well, so I did:
> 
>     (define-key global-map [noname] 'ignore)
>     (define-key global-map [C-noname] 'ignore)
>     (define-key global-map [M-noname] 'ignore)

Thanks, I added these bindings to Emacs, and this problem will be
solved starting from the next release 26.3 of Emacs.

> Your input that I should have reported this earlier is well taken - then perhaps Emacs could have been updated
> long ago to simply ignore these nonname pseudo keys by default or a workaround documented.

Indeed.  Well, better late than never.

I'm closing the bug report as it's now solved.